Moodle Yahoo! YUI io.swf文件跨站脚本漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1166851 漏洞类型 跨站脚本
发布时间 2013-07-15 更新时间 2013-07-15
CVE编号 CVE-2013-4940 CNNVD-ID CNNVD-201307-602
漏洞平台 N/A CVSS评分 4.3
|漏洞来源
https://www.securityfocus.com/bid/61523
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-201307-602
|漏洞详情
YUI是美国雅虎(Yahoo!)公司的一个开源的JavaScript和CSS库,它的作用是创建交互式Web应用程序。Moodle是澳大利亚马丁-多基马(MartinDougiamas)博士开发的一套免费、开源的电子学习软件平台,也称课程管理系统、学习管理系统或虚拟学习环境。Moodle和其他产品中使用的Yahoo!YUI3.10.2中的IOUtility组件中的io.swf文件中存在跨站脚本漏洞。远程攻击者可通过URL中特制的字符串利用该漏洞注入任意Web脚本或HTML。以下版本中存在漏洞:Moodle2.1.10及之前的版本,2.2.10及之前的2.2.x版本,2.3.7及之前的2.3.x版本,2.4.4及之前的2.4.x版本,2.5版本。
|受影响的产品
Moodle Moodle 2.4.4 Moodle Moodle 2.4.3 Moodle Moodle 2.3.7 Moodle Moodle 2.3.6 Moodle Moodle 2.3.3 Moodle Moodle 2.3.2 Moodle Moodle 2.3.1
|参考资料

来源:yuilibrary.com
链接:http://yuilibrary.com/support/20130515-vulnerability/
来源:moodle.org
链接:https://moodle.org/mod/forum/discuss.php?d=232496
来源:git.moodle.org
链接:http://git.moodle.org/gw?p=moodle.git&a=search&h=HEAD&st=commit&s=MDL-39678